petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMSlicedCreate

Creates a DM object, used to manage data for a unstructured problem

### Synopsis

    #include "petscdmsliced.h"
    PetscErrorCode  DMSlicedCreate(MPI_Comm comm,PetscInt bs,PetscInt nlocal,PetscInt Nghosts,const PetscInt ghosts[], const PetscInt d_nnz[],const PetscInt o_nnz[],DM *dm)

Collective on MPI_Comm Many br

### Input Parameter

| comm | - the processors that will share the global vector Many br
| bs | - the block size Many br
| nlocal | - number of vector entries on this process Many br
| Nghosts | - number of ghost points needed on this process Many br
| ghosts | - global indices of all ghost points for this process Many br
| d_nnz | - matrix preallocation information representing coupling within this process Many br
| o_nnz | - matrix preallocation information representing coupling between this process and other processes Many br

### Output Parameters

slice -the slice object Many br

### Notes

This DM does not support DMCreateLocalVector(), DMGlobalToLocalBegin(), and DMGlobalToLocalEnd() instead one directly uses Many brVecGhostGetLocalForm() and VecGhostRestoreLocalForm() to access the local representation and VecGhostUpdateBegin() and VecGhostUpdateEnd() to update Many brthe ghost points. Many br

One can use DMGlobalToLocalBegin(), and DMGlobalToLocalEnd() instead of VecGhostUpdateBegin() and VecGhostUpdateEnd(). Many br

Many br

### See Also

DMDestroy(), DMCreateGlobalVector(), DMSetType(), DMSLICED, DMSlicedSetGhosts(), DMSlicedSetPreallocation(), VecGhostUpdateBegin(), VecGhostUpdateEnd(),
VecGhostGetLocalForm(), VecGhostRestoreLocalForm() Many br

Level:advanced
Location:src/dm/impls/sliced/sliced.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages